Resolve import errors
- Base URL
-
https://{kibana_url}
- POST /api/saved_objects/_resolve_import_errors
- POST /s/{space_id}/api/saved_objects/_resolve_import_errors
Refer to Spaces for more information.
To resolve errors from the Import objects API, you can:
- Retry certain saved objects
- Overwrite specific saved objects
- Change references to different saved objects
Query parameters
-
compatibilityModeboolean -
Applies various adjustments to the saved objects that are being imported to maintain compatibility between different Kibana versions. When enabled during the initial import, also enable when resolving import errors. This option cannot be used with the
createNewCopiesoption.
Request body
-
retriesobjectrequired -
The retry operations, which can specify how to resolve different types of errors.
-
destinationIdstring -
Specifies the destination ID that the imported object should have, if different from the current ID.
-
ignoreMissingReferencesboolean -
When set to
true, ignores missing reference errors. When set tofalse, does nothing. -
overwriteboolean -
When set to
true, the source object overwrites the conflicting destination object. When set tofalse, does nothing.
Responses
Indicates a successful call.